[PATCH 14/15] drivers/scsi/FlashPoint.c: Lindent

From: Alexey Dobriyan <adobriyan@gmail.com>

It's much, much more readable now.

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>

Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -15,74 +15,47 @@
 
 */
 
-
 #include <linux/config.h>
 
-
 #ifndef CONFIG_SCSI_OMIT_FLASHPOINT
 
-
 #define MAX_CARDS	8
 #undef BUSTYPE_PCI
 
-
-
-
-
-
-
-
-
 #define CRCMASK	0xA001
 
-
-
 #define FAILURE         0xFFFFFFFFL
 
-
-
-
-
-
-
-
-
-
-#define BIT(x)          ((unsigned char)(1<<(x)))    /* single-bit mask in bit position x */
-#define BITW(x)          ((unsigned short)(1<<(x)))  /* single-bit mask in bit position x */
-
-
+#define BIT(x)          ((unsigned char)(1<<(x)))	/* single-bit mask in bit position x */
+#define BITW(x)          ((unsigned short)(1<<(x)))	/* single-bit mask in bit position x */
 
 struct sccb;
-typedef void (*CALL_BK_FN)(struct sccb *);
-
+typedef void (*CALL_BK_FN) (struct sccb *);
 
 struct sccb_mgr_info {
-   unsigned long    si_baseaddr;
-   unsigned char    si_present;
-   unsigned char    si_intvect;
-   unsigned char    si_id;
-   unsigned char    si_lun;
-   unsigned short   si_fw_revision;
-   unsigned short   si_per_targ_init_sync;
-   unsigned short   si_per_targ_fast_nego;
-   unsigned short   si_per_targ_ultra_nego;
-   unsigned short   si_per_targ_no_disc;
-   unsigned short   si_per_targ_wide_nego;
-   unsigned short   si_flags;
-   unsigned char    si_card_family;
-   unsigned char    si_bustype;
-   unsigned char    si_card_model[3];
-   unsigned char    si_relative_cardnum;
-   unsigned char    si_reserved[4];
-   unsigned long    si_OS_reserved;
-   unsigned char    si_XlatInfo[4];
-   unsigned long    si_reserved2[5];
-   unsigned long    si_secondary_range;
+	unsigned long si_baseaddr;
+	unsigned char si_present;
+	unsigned char si_intvect;
+	unsigned char si_id;
+	unsigned char si_lun;
+	unsigned short si_fw_revision;
+	unsigned short si_per_targ_init_sync;
+	unsigned short si_per_targ_fast_nego;
+	unsigned short si_per_targ_ultra_nego;
+	unsigned short si_per_targ_no_disc;
+	unsigned short si_per_targ_wide_nego;
+	unsigned short si_flags;
+	unsigned char si_card_family;
+	unsigned char si_bustype;
+	unsigned char si_card_model[3];
+	unsigned char si_relative_cardnum;
+	unsigned char si_reserved[4];
+	unsigned long si_OS_reserved;
+	unsigned char si_XlatInfo[4];
+	unsigned long si_reserved2[5];
+	unsigned long si_secondary_range;
 };
 
-
-
 #define SCSI_PARITY_ENA		  0x0001
 #define LOW_BYTE_TERM		  0x0010
 #define HIGH_BYTE_TERM		  0x0020
@@ -95,97 +68,82 @@ struct sccb_mgr_info {
 #define FLAG_SCAM_ENABLED	  0x0080
 #define FLAG_SCAM_LEVEL2	  0x0100
 
-
-
-
 #define HARPOON_FAMILY        0x02
 
-
-
 /* SCCB struc used for both SCCB and UCB manager compiles! 
  * The UCB Manager treats the SCCB as it's 'native hardware structure' 
  */
 
-
 #pragma pack(1)
 struct sccb {
-   unsigned char OperationCode;
-   unsigned char ControlByte;
-   unsigned char CdbLength;
-   unsigned char RequestSenseLength;
-   unsigned long DataLength;
-   unsigned long DataPointer;
-   unsigned char CcbRes[2];
-   unsigned char HostStatus;
-   unsigned char TargetStatus;
-   unsigned char TargID;
-   unsigned char Lun;
-   unsigned char Cdb[12];
-   unsigned char CcbRes1;
-   unsigned char Reserved1;
-   unsigned long Reserved2;
-   unsigned long SensePointer;
-
-
-   CALL_BK_FN SccbCallback;                  /* VOID (*SccbCallback)(); */
-   unsigned long  SccbIOPort;                        /* Identifies board base port */
-   unsigned char  SccbStatus;
-   unsigned char  SCCBRes2;
-   unsigned short SccbOSFlags;
-
-
-   unsigned long   Sccb_XferCnt;            /* actual transfer count */
-   unsigned long   Sccb_ATC;
-   unsigned long   SccbVirtDataPtr;         /* virtual addr for OS/2 */
-   unsigned long   Sccb_res1;
-   unsigned short  Sccb_MGRFlags;
-   unsigned short  Sccb_sgseg;
-   unsigned char   Sccb_scsimsg;            /* identify msg for selection */
-   unsigned char   Sccb_tag;
-   unsigned char   Sccb_scsistat;
-   unsigned char   Sccb_idmsg;              /* image of last msg in */
-   struct sccb *   Sccb_forwardlink;
-   struct sccb *   Sccb_backlink;
-   unsigned long   Sccb_savedATC;
-   unsigned char   Save_Cdb[6];
-   unsigned char   Save_CdbLen;
-   unsigned char   Sccb_XferState;
-   unsigned long   Sccb_SGoffset;
-   };
-
+	unsigned char OperationCode;
+	unsigned char ControlByte;
+	unsigned char CdbLength;
+	unsigned char RequestSenseLength;
+	unsigned long DataLength;
+	unsigned long DataPointer;
+	unsigned char CcbRes[2];
+	unsigned char HostStatus;
+	unsigned char TargetStatus;
+	unsigned char TargID;
+	unsigned char Lun;
+	unsigned char Cdb[12];
+	unsigned char CcbRes1;
+	unsigned char Reserved1;
+	unsigned long Reserved2;
+	unsigned long SensePointer;
+
+	CALL_BK_FN SccbCallback;	/* VOID (*SccbCallback)(); */
+	unsigned long SccbIOPort;	/* Identifies board base port */
+	unsigned char SccbStatus;
+	unsigned char SCCBRes2;
+	unsigned short SccbOSFlags;
+
+	unsigned long Sccb_XferCnt;	/* actual transfer count */
+	unsigned long Sccb_ATC;
+	unsigned long SccbVirtDataPtr;	/* virtual addr for OS/2 */
+	unsigned long Sccb_res1;
+	unsigned short Sccb_MGRFlags;
+	unsigned short Sccb_sgseg;
+	unsigned char Sccb_scsimsg;	/* identify msg for selection */
+	unsigned char Sccb_tag;
+	unsigned char Sccb_scsistat;
+	unsigned char Sccb_idmsg;	/* image of last msg in */
+	struct sccb *Sccb_forwardlink;
+	struct sccb *Sccb_backlink;
+	unsigned long Sccb_savedATC;
+	unsigned char Save_Cdb[6];
+	unsigned char Save_CdbLen;
+	unsigned char Sccb_XferState;
+	unsigned long Sccb_SGoffset;
+};
 
 #pragma pack()
 
-
-
 #define SCATTER_GATHER_COMMAND    0x02
 #define RESIDUAL_COMMAND          0x03
 #define RESIDUAL_SG_COMMAND       0x04
 #define RESET_COMMAND             0x81
 
+#define F_USE_CMD_Q              0x20	/*Inidcates TAGGED command. */
+#define TAG_TYPE_MASK            0xC0	/*Type of tag msg to send. */
+#define SCCB_DATA_XFER_OUT       0x10	/* Write */
+#define SCCB_DATA_XFER_IN        0x08	/* Read */
 
-#define F_USE_CMD_Q              0x20     /*Inidcates TAGGED command. */
-#define TAG_TYPE_MASK            0xC0     /*Type of tag msg to send. */
-#define SCCB_DATA_XFER_OUT       0x10     /* Write */
-#define SCCB_DATA_XFER_IN        0x08     /* Read */
-
-
-#define NO_AUTO_REQUEST_SENSE    0x01     /* No Request Sense Buffer */
-
+#define NO_AUTO_REQUEST_SENSE    0x01	/* No Request Sense Buffer */
 
-#define BUS_FREE_ST     0       
+#define BUS_FREE_ST     0
 #define SELECT_ST       1
-#define SELECT_BDR_ST   2     /* Select w\ Bus Device Reset */
-#define SELECT_SN_ST    3     /* Select w\ Sync Nego */
-#define SELECT_WN_ST    4     /* Select w\ Wide Data Nego */
-#define SELECT_Q_ST     5     /* Select w\ Tagged Q'ing */
+#define SELECT_BDR_ST   2	/* Select w\ Bus Device Reset */
+#define SELECT_SN_ST    3	/* Select w\ Sync Nego */
+#define SELECT_WN_ST    4	/* Select w\ Wide Data Nego */
+#define SELECT_Q_ST     5	/* Select w\ Tagged Q'ing */
 #define COMMAND_ST      6
 #define DATA_OUT_ST     7
 #define DATA_IN_ST      8
 #define DISCONNECT_ST   9
 #define ABORT_ST        11
 
-
 #define F_HOST_XFER_DIR                0x01
 #define F_ALL_XFERRED                  0x02
 #define F_SG_XFER                      0x04
@@ -193,49 +151,37 @@ struct sccb {
 #define F_ODD_BALL_CNT                 0x10
 #define F_NO_DATA_YET                  0x80
 
-
 #define F_STATUSLOADED                 0x01
 #define F_DEV_SELECTED                 0x04
 
-
-#define SCCB_COMPLETE               0x00  /* SCCB completed without error */
+#define SCCB_COMPLETE               0x00	/* SCCB completed without error */
 #define SCCB_DATA_UNDER_RUN         0x0C
-#define SCCB_SELECTION_TIMEOUT      0x11  /* Set SCSI selection timed out */
+#define SCCB_SELECTION_TIMEOUT      0x11	/* Set SCSI selection timed out */
 #define SCCB_DATA_OVER_RUN          0x12
-#define SCCB_PHASE_SEQUENCE_FAIL    0x14  /* Target bus phase sequence failure */
-
-#define SCCB_GROSS_FW_ERR           0x27  /* Major problem! */
-#define SCCB_BM_ERR                 0x30  /* BusMaster error. */
-#define SCCB_PARITY_ERR             0x34  /* SCSI parity error */
-
-
-
+#define SCCB_PHASE_SEQUENCE_FAIL    0x14	/* Target bus phase sequence failure */
 
+#define SCCB_GROSS_FW_ERR           0x27	/* Major problem! */
+#define SCCB_BM_ERR                 0x30	/* BusMaster error. */
+#define SCCB_PARITY_ERR             0x34	/* SCSI parity error */
 
 #define SCCB_IN_PROCESS            0x00
 #define SCCB_SUCCESS               0x01
 #define SCCB_ABORT                 0x02
 #define SCCB_ERROR                 0x04
 
-
-
 #define  ORION_FW_REV      3110
 
+#define QUEUE_DEPTH     254+1	/*1 for Normal disconnect 32 for Q'ing. */
 
-
-#define QUEUE_DEPTH     254+1            /*1 for Normal disconnect 32 for Q'ing. */
-
-#define	MAX_MB_CARDS	4					/* Max. no of cards suppoerted on Mother Board */
-
+#define	MAX_MB_CARDS	4	/* Max. no of cards suppoerted on Mother Board */
 
 #define MAX_SCSI_TAR    16
 #define MAX_LUN         32
 #define LUN_MASK			0x1f
 
-#define SG_BUF_CNT      16             /*Number of prefetched elements. */
-
-#define SG_ELEMENT_SIZE 8              /*Eight byte per element. */
+#define SG_BUF_CNT      16	/*Number of prefetched elements. */
 
+#define SG_ELEMENT_SIZE 8	/*Eight byte per element. */
 
 #define RD_HARPOON(ioport)          inb((u32)ioport)
 #define RDW_HARPOON(ioport)         inw((u32)ioport)
@@ -244,7 +190,6 @@ struct sccb {
 #define WRW_HARPOON(ioport,val)       outw((u16)val, (u32)ioport)
 #define WR_HARP32(ioport,offset,data)  outl(data, (u32)(ioport + offset))
 
-
 #define  TAR_SYNC_MASK     (BIT(7)+BIT(6))
 #define  SYNC_TRYING               BIT(6)
 #define  SYNC_SUPPORTED    (BIT(7)+BIT(6))
@@ -259,7 +204,6 @@ struct sccb {
 
 #define  TAR_ALLOW_DISC    BIT(0)
 
-
 #define  EE_SYNC_MASK      (BIT(0)+BIT(1))
 #define  EE_SYNC_5MB       BIT(0)
 #define  EE_SYNC_10MB      BIT(1)
@@ -267,62 +211,55 @@ struct sccb {
 
 #define  EE_WIDE_SCSI      BIT(7)
 
-
-
-
 struct sccb_mgr_tar_info {
 
-   struct sccb *    TarSelQ_Head;
-   struct sccb *    TarSelQ_Tail;
-   unsigned char    TarLUN_CA;        /*Contingent Allgiance */
-   unsigned char    TarTagQ_Cnt;
-   unsigned char    TarSelQ_Cnt;
-   unsigned char    TarStatus;
-   unsigned char    TarEEValue;
-   unsigned char 	TarSyncCtrl;
-   unsigned char 	TarReserved[2];			/* for alignment */ 
-   unsigned char 	LunDiscQ_Idx[MAX_LUN];
-   unsigned char    TarLUNBusy[MAX_LUN];
+	struct sccb *TarSelQ_Head;
+	struct sccb *TarSelQ_Tail;
+	unsigned char TarLUN_CA;	/*Contingent Allgiance */
+	unsigned char TarTagQ_Cnt;
+	unsigned char TarSelQ_Cnt;
+	unsigned char TarStatus;
+	unsigned char TarEEValue;
+	unsigned char TarSyncCtrl;
+	unsigned char TarReserved[2];	/* for alignment */
+	unsigned char LunDiscQ_Idx[MAX_LUN];
+	unsigned char TarLUNBusy[MAX_LUN];
 };
 
 struct nvram_info {
-	unsigned char		niModel;								/* Model No. of card */
-	unsigned char		niCardNo;							/* Card no. */
-	unsigned long		niBaseAddr;							/* Port Address of card */
-	unsigned char		niSysConf;							/* Adapter Configuration byte - Byte 16 of eeprom map */
-	unsigned char		niScsiConf;							/* SCSI Configuration byte - Byte 17 of eeprom map */
-	unsigned char		niScamConf;							/* SCAM Configuration byte - Byte 20 of eeprom map */
-	unsigned char		niAdapId;							/* Host Adapter ID - Byte 24 of eerpom map */
-	unsigned char		niSyncTbl[MAX_SCSI_TAR / 2];	/* Sync/Wide byte of targets */
-	unsigned char		niScamTbl[MAX_SCSI_TAR][4];	/* Compressed Scam name string of Targets */
+	unsigned char niModel;	/* Model No. of card */
+	unsigned char niCardNo;	/* Card no. */
+	unsigned long niBaseAddr;	/* Port Address of card */
+	unsigned char niSysConf;	/* Adapter Configuration byte - Byte 16 of eeprom map */
+	unsigned char niScsiConf;	/* SCSI Configuration byte - Byte 17 of eeprom map */
+	unsigned char niScamConf;	/* SCAM Configuration byte - Byte 20 of eeprom map */
+	unsigned char niAdapId;	/* Host Adapter ID - Byte 24 of eerpom map */
+	unsigned char niSyncTbl[MAX_SCSI_TAR / 2];	/* Sync/Wide byte of targets */
+	unsigned char niScamTbl[MAX_SCSI_TAR][4];	/* Compressed Scam name string of Targets */
 };
 
-
 #define	MODEL_LT		1
 #define	MODEL_DL		2
 #define	MODEL_LW		3
 #define	MODEL_DW		4
 
-
 struct sccb_card {
-   struct sccb * currentSCCB;
-   struct sccb_mgr_info * cardInfo;
+	struct sccb *currentSCCB;
+	struct sccb_mgr_info *cardInfo;
 
-   unsigned long ioPort;
-
-   unsigned short cmdCounter;
-   unsigned char  discQCount;
-   unsigned char  tagQ_Lst; 
-   unsigned char cardIndex;
-   unsigned char scanIndex;
-   unsigned char globalFlags;
-   unsigned char ourId;
-   struct nvram_info * pNvRamInfo;
-   struct sccb * discQ_Tbl[QUEUE_DEPTH]; 
-      
-};
+	unsigned long ioPort;
 
+	unsigned short cmdCounter;
+	unsigned char discQCount;
+	unsigned char tagQ_Lst;
+	unsigned char cardIndex;
+	unsigned char scanIndex;
+	unsigned char globalFlags;
+	unsigned char ourId;
+	struct nvram_info *pNvRamInfo;
+	struct sccb *discQ_Tbl[QUEUE_DEPTH];
 
+};
 
 #define F_TAG_STARTED		0x01
 #define F_CONLUN_IO			0x02
@@ -333,12 +270,10 @@ struct sccb_card {
 #define F_NEW_SCCB_CMD		0x40
 #define F_UPDATE_EEPROM		0x80
 
-
 #define  ID_STRING_LENGTH  32
-#define  TYPE_CODE0        0x63           /*Level2 Mstr (bits 7-6),  */
+#define  TYPE_CODE0        0x63	/*Level2 Mstr (bits 7-6),  */
 
-
-#define  SLV_TYPE_CODE0    0xA3           /*Priority Bit set (bits 7-6),  */
+#define  SLV_TYPE_CODE0    0xA3	/*Priority Bit set (bits 7-6),  */
 
 #define  ASSIGN_ID   0x00
 #define  SET_P_FLAG  0x01
@@ -351,23 +286,21 @@ struct sccb_card {
 #define  MISC_CODE   0x14
 #define  CLR_P_FLAG  0x18
 
-
-
 #define  INIT_SELTD  0x01
 #define  LEVEL2_TAR  0x02
 
-
-enum scam_id_st { ID0,ID1,ID2,ID3,ID4,ID5,ID6,ID7,ID8,ID9,ID10,ID11,ID12,
-                  ID13,ID14,ID15,ID_UNUSED,ID_UNASSIGNED,ID_ASSIGNED,LEGACY,
-                  CLR_PRIORITY,NO_ID_AVAIL };
+enum scam_id_st { ID0, ID1, ID2, ID3, ID4, ID5, ID6, ID7, ID8, ID9, ID10, ID11,
+	    ID12,
+	ID13, ID14, ID15, ID_UNUSED, ID_UNASSIGNED, ID_ASSIGNED, LEGACY,
+	CLR_PRIORITY, NO_ID_AVAIL
+};
 
 typedef struct SCCBscam_info {
 
-   unsigned char    id_string[ID_STRING_LENGTH];
-   enum scam_id_st state;
-    
-} SCCBSCAM_INFO;
+	unsigned char id_string[ID_STRING_LENGTH];
+	enum scam_id_st state;
 
+} SCCBSCAM_INFO;
 
 #define  SCSI_REQUEST_SENSE      0x03
 #define  SCSI_READ               0x08
@@ -377,15 +310,10 @@ typedef struct SCCBscam_info {
 #define  SCSI_WRITE_EXTENDED     0x2A
 #define  SCSI_WRITE_AND_VERIFY   0x2E
 
-
-
 #define  SSGOOD                  0x00
 #define  SSCHECK                 0x02
 #define  SSQ_FULL                0x28
 
-
-
-
 #define  SMCMD_COMP              0x00
 #define  SMEXT                   0x01
 #define  SMSAVE_DATA_PTR         0x02
@@ -403,26 +331,17 @@ typedef struct SCCBscam_info {
 #define  SMIDENT                 0x80
 #define  DISC_PRIV               0x40
 
-
 #define  SMSYNC                  0x01
 #define  SMWDTR                  0x03
 #define  SM8BIT                  0x00
 #define  SM16BIT                 0x01
-#define  SMIGNORWR               0x23     /* Ignore Wide Residue */
-
-
-
-
-
-
-
+#define  SMIGNORWR               0x23	/* Ignore Wide Residue */
 
 #define  SIX_BYTE_CMD            0x06
 #define  TWELVE_BYTE_CMD         0x0C
 
 #define  ASYNC                   0x00
-#define  MAX_OFFSET              0x0F  /* Maxbyteoffset for Sync Xfers */
-
+#define  MAX_OFFSET              0x0F	/* Maxbyteoffset for Sync Xfers */
 
 #define  EEPROM_WD_CNT     256
 
@@ -437,7 +356,6 @@ typedef struct SCCBscam_info {
 #define  SCAM_CONFIG       20
 #define  ADAPTER_SCSI_ID   24
 
-
 #define  IGNORE_B_SCAN     32
 #define  SEND_START_ENA    34
 #define  DEVICE_ENABLE     36
